<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Specs</Series>
  <Number>3</Number>
  <Web>https://www.amazon.com/dp/B0BQDJ8D4G</Web>
  <Summary>Ted is behind bars at the police station after his wrongful arrest, but he's unfortunately far from alone, as an angry mob blames him for Skunk's "murder." Kenny is desperate to help, relentlessly searching for the company that created the Magic Specs. Will a Hail Mary wish be enough to get Ted off the hook and set things right, or will it just drag them deeper into trouble?</Summary>
  <Notes>Scraped metadata from Amazon [ASINB0BQDJ8D4G]</Notes>
  <Publisher>BOOM! Studios</Publisher>
  <Genre>Horror, Science Fiction</Genre>
  <PageCount>28</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
